#ifndef HPP__GLOBALS
#define HPP__GLOBALS


/* =========================================================================
     g_s  :  The handle to the raw socket
   ========================================================================= */
#include <cassert> /* assert */
#include "reusable/lib_rawsock/rawsock.h"

extern RawEtherSockHandle g_s;

inline void Close_Already_Open_Raw_Socket_And_Invalidate_Handle(void)
{
    assert( !IS_BAD_ETHERSOCK(g_s) );

    CloseRawEtherSock(g_s);

    g_s = SAMPLE_BAD_ETHERSOCK;
}


/* =========================================================================
     The MAC address of the currently open interface
   ========================================================================= */

#include "net_types_basic.hpp"

extern uintMAC g_source_mac_for_open_iface;


#endif
