#ifndef H__SNIFFER
#define H__SNIFFER

#include <wx/thread.h>

#if !wxUSE_THREADS
    #error "This sample requires thread support!"
#endif

#include "reusable/lib_rawsock/rawsock.h"   /* FrameInfo */

#include "reusable/for_wxwidgets/ts_bool.hpp" /* ThreadSafe_Boolean */

class SnifferThread : public wxThread {
private:

    FrameInfo fi;  /* This is the raw C struct type from Librawsock (no cstr/dstr) */

public:

    ThreadSafe_Boolean is_waiting;

    SnifferThread() : wxThread(wxTHREAD_JOINABLE) {}

    void *Entry();
};


#endif
