#ifndef __DynamoDialog_Detailed_MAC_Info__
#define __DynamoDialog_Detailed_MAC_Info__

#include "AUTO_GENERATED_wxformbuilder.h"

#include "net_types_containers.hpp"  /* MAC_Data */

class Dialog_Detailed_MAC_Info : public Dialog_Detailed_MAC_Info__Auto_Base_Class
{
protected:

    MAC_Data const *p_mac_data; /* Must enter Critical Section! */

    void Populate_IP_List();

public:

    void OnButtonClick_Refresh( wxCommandEvent& event );

    void OnButtonClick_Close( wxCommandEvent& event );

    void OnListBox_ItemSelected_IP( wxCommandEvent& event );

	Dialog_Detailed_MAC_Info(wxWindow *parent, MAC_Data const *arg_p);
	    /* This will explode if the MAC_Data container inside the
	       SnifferDatabase object can reallocate memory and
	       move its elements elsewhere in memory. (It's fine if you
	       use SuperArray, but watch out for vector).
	       Right now it's using SuperArray :-)
        */

	~Dialog_Detailed_MAC_Info(); /* Contains code to prevent crash! */
};


#endif
