#ifndef HPP_IP_CLASSIFY
#define HPP_IP_CLASSIFY

#include "master_specs_for_dynamo_program.hpp"  /* const_max_qty_prv_nets */
#include "net_types_basic.hpp" /* uintIP, NetworkAddress */
#include "reusable/superarray.hpp"

namespace IP_Classifier {

    SuperArray<NetworkAddress,const_max_qty_prv_nets> &Get_Prv_Nets_Container();
        /* Static-duration array object! */

    void DiscardAllNetworks(void);

    void AddPrvNet(NetworkAddress);

    bool IsPublicIP(uintIP);

}

#endif
