#ifndef H__NET_TYPES
#define H__NET_TYPES

#include <stdint.h>

typedef uint_fast64_t uintMAC;
static uintMAC const const_mac_max = 0xffffffffffffllu;

typedef uint_fast32_t uintIP;
static uintIP const const_ip_max = 0xfffffffflu;

typedef uint_fast16_t uintPort;
static uintPort const const_port_max = 0xffffu;

struct NetworkAddress {

    uintIP addr;  /* Must NOT have any of the host bits set */
    uint_fast8_t qty_net_bits;

    NetworkAddress(uintIP const arg_addr = 0, uint_fast8_t arg_net_bits = 0)
      : addr(arg_addr), qty_net_bits(arg_net_bits) {}
};

#endif
