#ifndef H__SEND
#define H__SEND

#ifdef __cplusplus
extern "C" {
#endif



#include <stdint.h>
#include "rawsock.h"  /* RawEtherSockHandle */

void SendARP(RawEtherSockHandle const h,
                   uint_fast64_t const mac_dst,
                   uint_fast64_t const mac_src,
                   uint_fast32_t const ip_src,
                   uint_fast32_t const ip_dst,
                   uint_fast8_t const is_reply);

void SendDNSLookup(RawEtherSockHandle const h,
                   uint_fast64_t const mac_dst,
                   uint_fast64_t const mac_src,
                   uint_fast32_t const ip_src,
                   uint_fast32_t const ip_dst);

void SendTCPSyn(RawEtherSockHandle const h,
                   uint_fast64_t const mac_dst,
                   uint_fast64_t const mac_src,
                   uint_fast32_t const ip_src,
                   uint_fast32_t const ip_dst,
                   uint_fast16_t const port_src,
                   uint_fast16_t const port_dst);



#ifdef __cplusplus
	} /* To close the extern "C" */
#endif

#endif
